<?php

class ReportController extends \Our\Controller_AbstractApi {

    private $storeService;
    public function init(){
        parent::init();
        $this->storeService = \Business\Store\StoreServiceModel::getInstance();
    }

    /**
     * 获取举报选项列表
     */
    public function getReasonAction(){
        $storeInfo = $this->storeService->getReason();
        $this->success($storeInfo);
    }
    /**
     * 举报
     */
    public function reportAction(){
        $msg = $this->storeService->report($this->req[\Our\NameConst::data],$this->memberId);
        unset($this->req[\Our\NameConst::data]['imageA']);
        unset($this->req[\Our\NameConst::data]['imageB']);
        unset($this->req[\Our\NameConst::data]['imageC']);
        $this->success('');
    }

}